
body {
	background: #f2f2f2 url('/static/portal/images/bg.png') left top repeat;
	font-family: 'Open Sans', sans-serif;
	font-size:12pt;
	min-width: 1024px;
	min-height: 768px;
}

/* Tables */
table    { display: table; padding:0; margin:0; }
tr       { display: table-row; padding:0; margin:0; }
thead    { display: table-header-group; padding:0; margin:0; }
tbody    { display: table-row-group; padding:0; margin:0; }
tfoot    { display: table-footer-group; padding:0; margin:0; }
col      { display: table-column; padding:0; margin:0; }
colgroup { display: table-column-group; padding:0; margin:0; }
td, th   { display: table-cell; padding:0; margin:0; }
caption  { display: table-caption; padding:0; margin:0; }

.deskPanelArea {
	/* Layer List: Outside Container */
	color:#000;
	padding:5px 5px 3px 5px;
	background-color: #fff;
	border:solid 1px #e5e5e5 !important;
	border-radius:0 0 5px 5px;
	border-bottom:2px solid #cccccc !important;
	border-top:0px !important;
}

.deskPanelLegend {	
	padding:0px;
	border-bottom:1px dotted #cccccc !important;
	border-radius:0;
	padding:0px 0 5px 8px;
}

.deskPanelLegend span { font-size:0.9em; color:#737373; }
.deskPanelLegend .fa-angle-right { color:#737373; }

.deskPanelHeader {
	display:block;
	background-color: #f5f5f5;
	border:solid 1px #e5e5e5;
	border-bottom: 2px solid #e5e5e5 !important;
	border-radius:5px 5px 0 0;
	font-size:0.9em;
	font-weight:bold;
	padding:7px 10px;
	text-decoration:none;
}

.deskPanelHeaderMini {
	font-size:0.8em;
	padding:5px 7px;
}

.deskPanelHeader:hover { text-decoration:none; color:#408048; cursor:pointer; }

.header_01 { color:#408048; }

.initiallyHidden { display:none !important; }

#deskPanelLeft {
	float: left;			
	width: calc(100% - 350px );
}

#deskPanelMap {			
	
	height:calc(100vh - 225px);
}

#deskPanelLeft .inner_area { padding:15px 0 0 15px; }

#map {
	height:calc(100vh - 240px);
	border:solid 1px #e5e5e5 !important;
	background-color: #fff;
	border-radius:5px;
	border-bottom:2px solid #cccccc !important;
}

#deskPanelRight { float: left; width: 335px;	}

#deskPanelRight .deskPanelRightItem { padding:15px 0 0 15px; }

#deskPanelRight .BasemapArea { max-height:calc(100vh - 350px); overflow-y: auto;  }

#deskPanelLegend { float:left; width:calc(100%); }		
#deskPanelLegend .inner_area { padding:15px 0 0 15px; }			
#deskPanelLegend .deskPanelArea { height:165px; max-height:165px; overflow-x: auto; }

#Toolbox {  }

#toolTypes { padding-top:3px; }

.select_1 { font-size:2em; }

.loading_01 { padding:2px 0 8px 0; font-size:2em; color:#bcdcbf; text-align:center; }

.hidden { display:none; }

.debug_border { border: solid 1px black !important; }

.deskPanelArea #previous { font-size:0.8em; font-weight:bold; }
.deskPanelArea #next { font-size:0.8em; font-weight:bold; }

.EmptySpace { height:calc(100vh - 350px); }

#toolResults .col-md-6 { border-left:1px solid #abd3af; border-bottom:2px solid #abd3af; padding: 6px; }

#featureCount { padding-bottom: 6px; }


#deskPanelMenu .deskPanelArea {				
	background-color: #f9eab7;
	border:solid 1px #f1e2b1 !important;
	border-bottom: 2px solid #e6d7a8 !important;
	border-radius: 5px;				
	padding:5px 10px;
}

#deskPanelMenu .logo {
	float:left;
	font-size: 0.7em;
	font-weight:bold;
	color: #0097f1;
	line-height:1.2em;
}

#deskPanelMenu .logo div { vertical-align:top; display:inline-block; }

#deskPanelMenu .menuItem {
	font-size:1.5em;
	padding-left:10px;
	padding-right:2px;
	color:#27b04d;
	vertical-align:top;
	cursor:pointer;
	border:solid 1px black;
}
		
#aboutMenu .areaHeader {				
	background-color: #f9eab7;
	border:solid 2px #f9eab7 !important;
	border-radius: 5px 5px 0 0;
	padding:5px 10px;
	height:80px;
}

#aboutMenu .areaHeader .logo {
	float:left;
	font-size: 0.7em;
	font-weight:bold;
	color: #0097f1;
	line-height:1.2em;
	padding-top:5px;
}

#aboutMenu .areaHeader .logo div { vertical-align:top; display:inline-block; }

#aboutMenu .areaHeader .close {
	float:right;
	font-size:1.5em;
	padding-left:10px;
	padding-right:2px;
	color:black;
	vertical-align:top;
}

#aboutMenu .areaHeader .Tabs {
	display:inline-block;
	padding-top:28px;
}

#aboutMenu .areaHeader .Tabs .menuItem {
	float:left;
	padding:10px 15px 0 15px;
	height:46px;
	border-radius:5px 5px 0 0;
	display:inline-block;
	cursor:pointer;
	text-decoration:none;
}

#aboutMenu .areaHeader .Tabs .menuItem:hover { color:#000; }

#aboutMenu .areaHeader .Tabs .active {
	color:#000;
	background:#fff;
	font-weight:bold;
}

#aboutMenu .areaBody {
	background-color: #fff;
	border-left:solid 2px #f9eab7 !important;
	border-right:solid 2px #f9eab7 !important;
	width: 850px; /* calc(100vw - 300px); */
	height: 400px; /* calc(100vh - 450px); */
	overflow-y: auto;
	padding:25px;
	font-size:0.8em;
}

#aboutMenu .areaBody .bodyWelcome {
	background: #fff url('/static/portal/images/mountains_bg.png') no-repeat center bottom;
	background-size: 100% 150%;
	height:calc(100%);
	border-radius:8px;
}

#aboutMenu .areaBody .bodyItem ul li {
	padding-bottom: 6px;
}

#aboutMenu .areaFooter {				
	background-color: #f9eab7;
	border:solid 2px #f9eab7 !important;
	border-radius: 0 0 5px 5px;
	height:48px;
	text-align:center;
	padding-top:10px;
}

#aboutMenu .areaFooter a {				
	display:inline-block;
	font-size:0.9em;
	color:#0097f1;
	cursor:pointer;
}

#aboutMenu .areaFooter a:hover { color:#0097f1; }

#aboutMenu .areaFooter div {
	display:inline-block;
	color:#7a7259;
}

#deskPanelRight .layerListArea { max-height:calc(100vh - 350px); overflow-y: auto; font-size:0.9em; padding:5px 8px; }

#deskPanelRight .ToolsArea { max-height:calc(100vh - 350px); overflow-y: auto; font-size:0.9em; padding:5px 8px; }

.exportFormArea { display:none; }

.toolResults_NoResult {
	text-align:center;
}

.summaryResultsCount { text-align:center; padding-bottom:8px; margin-bottom:8px; border-bottom:dotted 1px grey; }

.toolResultsCount { text-align:center; padding-bottom:8px; }

.toolResults {
	border:0;			
	display:block; 
	margin:6px 0 20px 0;
	padding:0;
	border-radius:0px;			
	/* background:#f0f9f2; */ /* For browsers that do not support gradients */
    /* background:-webkit-linear-gradient(top,#f0f9f2,#f0f9f2,#d8ebda); */ /* For Safari 5.1 to 6.0 */
    /* background:-o-linear-gradient(top,#f0f9f2,#f0f9f2,#d8ebda); */ /* For Opera 11.1 to 12.0 */
    /* background:-moz-linear-gradient(top,#f0f9f2,#f0f9f2,#d8ebda); */ /* For Firefox 3.6 to 15 */
    /* background:linear-gradient(top,#f0f9f2,#f0f9f2,#d8ebda); */ /* Standard syntax */ 	
}

.toolResultsHeader {
	padding-bottom: 5px;
	font-weight: bold;
	text-align: center;
	font-size:1.2em;
}

.toolResults_nav {	
	font-weight:bold;
	font-size:1.1em;
	padding-bottom:7px;
	text-align: center;
	color:#000;
}

.toolResults_nav .guide {	
	display:inline-block;
	padding:0 15px;
	font-size:0.8em;
}

.toolResults_nav .navblock {	
	display:inline-block;
	background:#eaeaea;
	padding:5px;
	border-radius: 5px;
}

.toolResults_column {
	display:inline-block;
	overflow-x:hidden;
	margin-right:4px;
}

.summaryResultsHeader { width:100%; padding-left:28px; padding-right:5px; font-size:0.8em; font-weight:bold; }

#toolOptions { margin-top:3px; }

#ToolHelp {
	border-radius:5px;
	border:solid 1px #f9eab7;
	background:#f9eab7;
	padding:10px;
	text-align:center;
	margin:10px 0 5px 0;
	font-style: italic;
	font-size:0.9em;
}

.toolResults_BodyHeader{
	text-align:center;
	background:#77cc56;
	color:#fff;
	font-weight: bold;
	padding:5px 0;
}

.toolResultsBody {
	padding-bottom: 0px;
	padding-left: 0px;
	font-size: 0.9em;
}

.toolResultsItem{
	margin-bottom: 12px;
	border-bottom:0;
	border-top:0;
	border-radius:5px;
	border:solid 1px #bcdcbf;
	border-top:solid 2px #77cc56;
	background:#f0f9f2;
}

.toolResultsItem .toolResults_Item:last-child {
   	border-bottom:0;
}


#IdentifyResultsPanel table {
	border-left:0;
	border-radius:5px !important;
	border:solid 1px #bcdcbf;
	border-top:solid 2px #77cc56;
}

#IdentifyResultsPanel table tr td {
	border-left:solid 1px #bcdcbf;
}

#jumpto_main { padding:10px; }


/* RESULTS: Prev/Next */

	.toolResults_table {
		padding-bottom: 0px;
		padding-left: 0px;
		font-size: 0.9em;
	}
	
	.toolResults_tableItem{
		margin-bottom: 12px;
		border-bottom:0;
		border-top:0;
		border-radius:5px;
		border:solid 1px #bcdcbf;
		border-top:solid 2px #77cc56;
		background:#f0f9f2;
	}
	
	.toolResults_tableItem .toolResults_Item:last-child {
	   	border-bottom:0;
	}
	
	.toolResults_Item{
		border:0;
		border-bottom:0;
		padding:4px;
		border-bottom:dotted 1px #77cc56;
	}
	
	.toolResults_Item .title {
		color:#27b04d;
	}
	
	
/* RESULTS: Vertical */
	
	.toolResultsContentItem{
		margin-bottom: 5px;
		border-bottom:0;
		border-top:0;
		border-radius:5px;
		border:solid 1px #bcdcbf;
		border-bottom:solid 2px #77cc56;
		background:#f0f9f2;
	}
	
	.toolResultsContentItem .itemHeader { padding-bottom:3px; color:#404040; cursor:pointer;  }
	
	.toolResultsContentItem .itemHeader div { display:inline-block; vertical-align:top; }
	
	.toolResultsContentItem .itemHeader .itemIcon { font-size:1.4em; padding-left:5px; }
	
	.toolResultsContentItem .itemHeader .itemIcon .fa-plus-square { color:#77cc56; }
	
	.toolResultsContentItem .itemHeader .itemIcon .fa-minus-square { color:#fff; }
	
	.toolResultsContentItem .itemHeader .itemTitle { padding:5px 0 0 5px; width:90%; height:calc(1em + 15px); overflow-y: hidden !important; overflow-x: hidden !important; }
	
	.toolResultsContentItem .active { background:#77cc56; color:#fff; padding-bottom:3px; }
	
	.toolResultsContentItem .itemBody .toolResults_Item .title { color:#27b04d; }
	
	.toolResultsContentItem .itemBody .toolResults_Item:last-child { border-bottom:0; }
	
	/* Old Results */
	.toolResultsContentItemOld .itemHeader { color:#737373; }
	.toolResultsContentItemOld { border:solid 1px #8c8c8c; border-bottom:solid 2px #8c8c8c; background:#f5f5f5; }
	.toolResultsContentItemOld .itemHeader .itemIcon .fa-plus-square { color:#8c8c8c; }
	.toolResultsContentItemOld .active { background:#8c8c8c; color:#fff; }
	.toolResultsContentItemOld .itemBody .toolResults_Item .title { color:#737373; }
	
	
/* ---- */

.aggregation_parameter_label{
	display: block;
	font-weight:normal;
	clear: both;
}

.tools_header {
	padding:3px 0 5px 5px;
	font-size:0.9em;
	font-weight: bold;
	color: #0097f1;
	border-top:solid 1px #0097f1;
	margin-top:0px;
}
.options_header {
	padding:3px 0 5px 5px;
	font-size:0.9em;
	font-weight: bold;
	color: #0097f1;
	border-top:solid 1px #0097f1;
	margin-top:10px;
}
.route_header {
	padding:3px 0 5px 5px;
	font-size:0.9em;
	font-weight: bold;
	border-top:solid 1px #0097f1;
	margin-top:10px;
	color: #0097f1;
}
.results_header {
	padding:3px 0 5px 5px;
	font-size:0.9em;
	font-weight: bold;
	color: #0097f1;
	border-top:solid 1px #0097f1;
	margin-top:10px;
}

#routing_totals {
	padding-left: 20px;
	padding-bottom: 20px;
}

#routing_stops {
	padding-left: 20px;
	margin-bottom: 35px;
}

.routing_stop_totals { margin-left:6px; padding:6px 0 6px 6px; border-left:dashed 1px blue; }

.routing_stop_totals .fa { color:blue; }

.routing_stop_marker { color:#408048; }


#labels_chk { vertical-align:top; font-weight:normal; padding:0px; margin:0px; padding-top:4px; margin-left:20px; color:#375e27; }
#labels_chk .check { display:inline-block; padding:0px; vertical-align:top; }
#labels_chk .title { display:inline-block; padding:0px; vertical-align:top; padding:2px 0 0 5px; }

span.esriButton {
/* This style is used to remove padding / large font size for the metadata button on the layer selector */
	padding: 0px !important;
	font-size: 14px !important;
}
.layerMetadataDescription{
	color:#000;
	padding:15px 20px;
	background-color: #fff;
	border:solid 1px #e5e5e5 !important;
	border-radius:0 0 5px 5px;
	border-bottom:2px solid #cccccc !important;
	border-top:0px !important;
	max-width: 75%;
	margin: auto;
}

.layerMetadataName{
	display:block;
	background-color: #f9eab7;
	border:solid 1px #e5e5e5;
	border-bottom: 2px solid #e5e5e5 !important;
	border-radius:5px 5px 0 0;
	font-size:0.9em;
	font-weight:bold;
	padding:7px 10px;
	text-decoration:none;
	max-width: 75%;
	margin: auto;
}

.interactiveLayerIcon { color:#0097f1; }

.metadatabutton { margin-left:3px; color:#27b04d; }


/* ALERTS */

	.deskPanelAlert { 
		position:absolute; 
		z-index:100;
	}
	
	.alertBotLeft {
		padding-left:25px; 
		padding-top:25px; 
		top:calc(100vh - 295px);
	}
	
	.alertTopCenter {
		top: 25px;
		left: 15px;
		width: calc(100% - 365px );
		min-width: 660px;
		text-align:center;
	}
	
	.alertLoadingArea { display:inline-block; margin-right:5px; }
	.alertLoadingArea .inner {
		background:#4286ae;
		boder:solid 1px black;
		font-size:0.9em;
		font-weight:bold;
		border-radius: 5px;
		border:solid 1px #316481;	
		padding:5px 12px;
	}		
	.alertLoadingArea .item { display:inline-block; }		
	.alertLoadingArea .title { padding:0 5px; color:#fff; }		
	.alertLoadingArea .arrow { color:#152b37; }		
	.alertLoadingArea .msg { color:#fff; }
	
	.alertErrorArea { display:inline-block; }
	.alertErrorArea .inner {
		background:#db5757;
		boder:solid 1px black;
		font-size:0.9em;
		font-weight:bold;
		border-radius: 5px;
		border:solid 1px #bd2828;
		padding:5px 8px 5px 12px;
		min-width:100px;
		font-weight:normal;
	}
	.alertErrorArea .item { display:inline-block; }	
	.alertErrorArea .icon { color:#fff; }	
	.alertErrorArea .msg { color:#fff; }	
	.alertErrorArea .close { margin:0px; margin-left:15px; font-size:1.3em; }
	
	.alertTipArea {	margin: auto; width: 75%; }	
	.alertTipArea .inner {
		background:#ffe0cc;
		boder:solid 1px black;
		font-size:0.9em;
		font-weight:bold;
		border-radius: 5px;
		border:solid 1px #e65c00;	
		padding:5px 8px 5px 12px;
		width:100%;
	}		
	.alertTipArea .icon { padding:5px; font-size:1.5em; color:#e65c00; }
	.alertTipArea .msg { margin-top:4px; padding:5px; max-width:85%; font-style: italic; }
	.alertTipArea .close a { color:#e65c00; }
	
	.layer_loading { padding-left:5px; }
	
	/* Warning popup */
	.ui-dialog-titlebar-close { display:none; }
	.ui-dialog-title { font-size:0.9em; }
	.ui-dialog-content { font-size:0.8em; }
	.ui-dialog-titlebar { background-color:#d8ebda !important; border:solid 1px #abd3af !important; }
	


/* LAYER LIST */

#layerList_root { padding: 3px 0px; }

/* .layerList_parent { padding:4px 5px; cursor: pointer; }

.ll_checkbox { display:inline-block; padding-right:5px; vertical-align:top; }
.ll_name { display:inline-block; width:200px; vertical-align:top; }
.layerList_child { padding-left:18px; } */

.layerList_parent { padding: 3px 0 3px 6px; cursor: pointer;}
.layerList_parent:hover { background:#d8ebda; }

.layerList_parent .ll_checkbox,
.layerList_parent .ll_parentCheckbox,
.layerList_parent .ll_arrow,
.layerList_parent .ll_name 
{ display:inline-block; border:solid 0px black; }

.layerList_parent .ll_arrow, 
.layerList_parent .ll_checkbox, 
.layerList_parent .ll_parentCheckbox 
{ width:16px; vertical-align:top; }

.layerList_parent .ll_arrow { text-align:center; }
.layerList_parent .ll_name { width:calc(100% - 70px); }
.layerList_parent .ll_name_ex {width:calc(100% - 20px); }
.layerList_child { margin-left:26px; }
.layerList_parent .ll_icon { float:right; padding:0 2px; }
.layerList_parent .ll_icon .fa-question-circle { font-size:1.1em; }
.layerList_parent .ll_clear { clear:both; }
.layerList_parent .ll_options { padding:4px 15px 4px 15px; }


/***********************
  CUSTON BTN VALUES
************************/

.btn {
    padding: 4px 12px;
    border: 0 none;
    font-weight: bold;
    letter-spacing: 1px;
}
.btn:focus, .btn:active:focus, .btn.active:focus {
    outline: 0 none;
}

.btn-primary {
    background: #0099cc;
    color: #ffffff;
}
.btn-primary:hover, .btn-primary:focus, .btn-primary:active, .btn-primary.active, .open > .dropdown-toggle.btn-primary {
    background: #33a6cc;
}
.btn-primary:active, .btn-primary.active {
    background: #007299;
    box-shadow: none;
}

.btn-warning {
    background: #ffcc00;
    color: #000;
}
.btn-warning:hover, .btn-warning:focus, .btn-warning:active, .btn-warning.active, .open > .dropdown-toggle.btn-warning {
    background: #ffcc00;
    color: #000;
}


/***********************
  RAISED BUTTONS
************************/
.btn-primary {
    box-shadow: 0 3px 0 0 #007299;
}
.btn-primary:active, .btn-primary.active {
    background: #33a6cc;
    box-shadow: none;
    margin-bottom: -3px;
    margin-top: 3px;
}
.btn-secondary {
    box-shadow: 0 3px 0 0 #8c8c8c;
}
.btn-secondary:active, .btn-secondary.active {
    background: #cccccc;
    box-shadow: none;
    margin-bottom: -3px;
    margin-top: 3px;
}

.btn-warning {
	box-shadow: 0 3px 0 0 #b38f00;
}
.btn-warning:active, .btn-warning.active {
    background: #ffcc00;
    box-shadow: none;
    margin-bottom: -3px;
    margin-top: 3px;
}

.popup_content { min-width:600px; }

/* Login Form */
.input-group-addon { min-width:50px; }
.input-group { margin-bottom:4px; }
.loginWindow {
	margin-bottom:6px;
	border-radius: 6px;
	background:#ccecff;
	padding: 15px;
	padding-top: 10px;
	border: solid 1px #80d0ff;
}
#secureLogin { padding:10px; margin-bottom:3px; }
#secureLoginBtn { margin-top:5px; }
#secureLoginError { margin:5px 0px; background:#bd2828; color:#fff; padding:6px 10px; border-radius: 6px; }
.loginStandin { cursor:pointer; }

/* Main Tools */
.mainTools {
	width:100%;
	background-color: #f9eab7;
	padding:0 5px;
	border:solid 1px #f1e2b1;
	border-top:0px;	
	border-bottom: 2px solid #e6d7a8;
	border-radius: 5px;
	margin:0px;
	margin-right:0;
	margin-left:0;
	text-align:center;
}

.mainTools .toolMainBtn {
	/* border-left: solid 1px #f2f2f2;
	border-right: solid 1px #e6d7a8; */
	padding: 10px 5px;
	
	/* background-color: #f1e2b1; */
	display: inline-block;
	color: #408048;
	cursor:pointer;
	/* border:solid 1px black; */
}

.mainTools .toolMainBtn .fa { font-size:1.5em; }

.mainTools .disabled { color: #bbaf89; }

.mainTools .active { background:#abd3af; color:#fff; }

#mainToolsOptions {
	background:#f0f9f2;
	border:solid 2px #abd3af;
	margin-bottom:5px;
	border-radius: 5px;
	padding:0;
	font-size:0.8em;
}

#mainToolsOptions .inner_area { padding:12px; }

#aggregate_parameters { font-size:0.9em; }

.dijitTooltipContainer { padding:0px 8px !important; margin:0px !important; width:auto !important; padding-bottom:2px !important; border:2px solid #fff !important; font-family: 'Open Sans', sans-serif; }
.dijitTooltipContents div { padding:0px !important; margin:0px !important; }
.dijitTooltipContents div p { display:block-inline !important; padding:0px !important; margin:0px !important; padding-top:2px !important; font-weight:bold; }

.dijitTooltipContainer { background: #0097f1 !important;  }
.dijitTooltipContents div p { color:#fff; }

.residencySearch_result{
	padding: 5px;
}